For the complete documentation index, see llms.txt. This page is also available as Markdown.

List handling actions for an order item id

List handling actions for an order item id

Required permissions: SALES_ORDER,RETURN_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderItemUidstringRequired

Reference to an order item on an order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "comment": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "handlingActionUid": "text",
      "handlingActionName": "text",
      "handlingDescription": "text",
      "handlingUid": "text",
      "handlingName": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "orderHandlingActionUid": "text"
    }
  ]
}

Last updated

Was this helpful?